## gpx 0~20140109+git3570fc9

=== Makefile ===
# Declaration of variables
CC = cc
CC_FLAGS = -w
L_FLAGS = -lm

# File names
VERSION = 2.0
PLATFORM=osx
ARCHIVE = gpx-$(PLATFORM)-$(VERSION)
PREFIX = /usr/local
SOURCES = $(wildcard *.c)
OBJECTS = $(SOURCES:.c=.o)

all: gpx

.PHONY: all

# Main target
gpx: $(OBJECTS)
	$(CC) $(L_FLAGS) $(OBJECTS) -o gpx

# To obtain object files
%.o: %.c
	$(CC) -c $(CC_FLAGS) $< -o $@

# To remove generated files
clean:
	rm -f gpx $(OBJECTS)
	rm -f $(ARCHIVE).tar.gz
	rm -f $(ARCHIVE).zip
	rm -f $(ARCHIVE).dmg

# To install program and supporting files
install: gpx
	test -d $(PREFIX) || mkdir $(PREFIX)
	test -d $(PREFIX)/bin || mkdir $(PREFIX)/bin
	install -m 0755 gpx $(PREFIX)/bin
#	test -d $(PREFIX)/share || mkdir $(PREFIX)/share
#	test -d $(PREFIX)/share/gpx || mkdir -p $(PREFIX)/share/gpx
#	for INI in *.ini; do \
#		install -m 0644 $$INI $(PREFIX)/share/gpx; \
#	done

# To make a distribution archive
release: gpx
	rm -rf $(ARCHIVE)	# Get rid of previous junk, if any.
	rm -f $(ARCHIVE).tar.gz
	rm -f $(ARCHIVE).zip
	rm -f $(ARCHIVE).dmg
	mkdir $(ARCHIVE)
	cp -r gpx examples scripts *.ini $(ARCHIVE)
	tar cf - $(ARCHIVE) | gzip -9c > $(ARCHIVE).tar.gz
	zip -r $(ARCHIVE).zip $(ARCHIVE)
	test -f /usr/bin/hdiutil && hdiutil create -format UDZO -srcfolder $(ARCHIVE) $(ARCHIVE).dmg
	rm -rf $(ARCHIVE)


# Run unit test
test: gpx
	./gpx lint.gcode
	python ./s3g-decompiler.py lint.x3g

## gpx 0~20140109%2Bgit3570fc9

=== debian/changelog ===
gpx (0~20140109+git3570fc9-2) unstable; urgency=medium

  * [a874b39] Build-dep on python (Closes: #753081)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 30 Jun 2014 11:25:03 +0800

gpx (0~20140109+git3570fc9-1) unstable; urgency=low

  * Initial release (Closes: #749456)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 27 May 2014 15:02:49 +0800

=== debian/control ===
Source: gpx
Section: science
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9.0.0), python
Standards-Version: 3.9.5
Homepage: https://github.com/whpthomas/GPX
Vcs-Git: git://git.debian.org/3dprinter/packages/gpx.git
Vcs-Browser: http://git.debian.org/?p=3dprinter/packages/gpx.git;a=summary

Package: gpx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gcode to x3g conversion post processor
 GPX is a post processing utility for converting gcode output from 3D slicing
 software like Cura, KISSlicer, S3DCreator and Slic3r to x3g files for
 standalone 3D printing on Makerbot Cupcake, ThingOMatic, and Replicator 1/2/2x
 printers - with support for both stock and sailfish firmwares.
 .
 G-codes are plain-text files containing instructions for controlling CNC
 milling machines and consumer-grade 3D printers adapted from CNC milling
 machines.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/gpx-$1.tar.gz/" \
  https://github.com/whpthomas/GPX/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## gpx 0~20140109+git3570fc9

=== debian/changelog ===
gpx (0~20140109+git3570fc9-1ubuntu1) utopic; urgency=medium

  * Add python-minimal to Build-Depends to be able to run the test suite
    during build.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 28 Jun 2014 15:11:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gpx
 Section: science
 Priority: optional
-Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9.0.0), python
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
+Build-Depends: debhelper (>= 9.0.0), python-minimal
 Standards-Version: 3.9.5
 Homepage: https://github.com/whpthomas/GPX
 Vcs-Git: git://git.debian.org/3dprinter/packages/gpx.git

## gpx 1.0.0

=== DESCRIPTION ===
Package: gpx
Type: Package
Title: Process GPX Files into R Data Structures
Version: 1.0.0
Authors@R: person("Mark", "Ewing", email = "b.mark@ewingsonline.com", role = c("aut", "cre"))
Description: Process open standard GPX files into data.frames for further use and analysis in R.
License: MIT + file LICENSE
Encoding: UTF-8
Depends: R (>= 4.0)
Imports: xml2, rvest, lubridate
Suggests: testthat
RoxygenNote: 6.1.1
NeedsCompilation: no
Packaged: 2021-10-23 11:39:19 UTC; mark
Author: Mark Ewing [aut, cre]
Maintainer: Mark Ewing <b.mark@ewingsonline.com>
Repository: CRAN
Date/Publication: 2021-10-25 07:40:02 UTC

## gpx 1.0.1

=== DESCRIPTION ===
Package: gpx
Type: Package
Title: Process GPX Files into R Data Structures
Version: 1.0.1
Authors@R: person("Mark", "Ewing", email = "b.mark@ewingsonline.com", role = c("aut", "cre"))
Description: Process open standard GPX files into data.frames for further use and analysis in R.
License: MIT + file LICENSE
Encoding: UTF-8
Depends: R (>= 4.0)
Imports: xml2, rvest, lubridate
Suggests: testthat
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-10-27 18:30:24 UTC; mark
Author: Mark Ewing [aut, cre]
Maintainer: Mark Ewing <b.mark@ewingsonline.com>
Repository: CRAN
Date/Publication: 2021-10-29 08:50:06 UTC

## gpx 1.1.0

=== DESCRIPTION ===
Package: gpx
Type: Package
Title: Process GPX Files into R Data Structures
Version: 1.1.0
Authors@R: person("Mark", "Ewing", email = "b.mark@ewingsonline.com", role = c("aut", "cre"))
Description: Process open standard GPX files into data.frames for further use and analysis in R.
License: MIT + file LICENSE
Encoding: UTF-8
Depends: R (>= 4.0)
Imports: xml2, rvest, lubridate
Suggests: testthat
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-11-08 16:04:49 UTC; mark
Author: Mark Ewing [aut, cre]
Maintainer: Mark Ewing <b.mark@ewingsonline.com>
Repository: CRAN
Date/Publication: 2021-11-08 16:40:02 UTC

## gpx 2.4.3

=== debian/changelog ===
gpx (2.4.3-4) unstable; urgency=medium

  * [4b1d07f] Fix ENOSR-related FTBFS on kfreebsd-*

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 14 Apr 2016 02:37:59 +0800

gpx (2.4.3-3) unstable; urgency=medium

  * [82a25d4] Fix FTBFS on i386
  * [2b14a8f] Make portable-endian.h work on non-linux

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 13 Apr 2016 23:12:52 +0800

gpx (2.4.3-2) unstable; urgency=medium

  * [df29ee2] Reenable tests -- turns out they work
    ~/.gpx.ini was causing trouble.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 13 Apr 2016 02:58:36 +0800

gpx (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * [c3d73ac] Drop override_dh_auto_build
  * [dae399e] Disable tests -- they're outdated
  * [9661de4] Update docs.
    README.md is now uppercase
  * [4ea4ff5] Drop outdated gpx.install
  * [8892800] Drop /usr/bin/machines.
    Name is too generic, and isn't very useful anyway.
  * [89ff89b] Add more files to debian/clean
  * [a12fd53] Drop patches -- upstreamed or obsolete

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Apr 2016 22:28:09 +0800

gpx (2.4.2-4) unstable; urgency=medium

  * [ee7ec9d] Fix builds on big-endian arches

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 28 Mar 2016 00:08:45 +0800

gpx (2.4.2-3) unstable; urgency=medium

  * [1dbfbe3] Update getopt patch

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 25 Mar 2016 10:38:39 +0800

gpx (2.4.2-2) unstable; urgency=medium

  * [eb2d7d5] Fix FTBFS on arches where char == unsigned char (Closes: #818737)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 25 Mar 2016 04:51:48 +0800

gpx (2.4.2-1) unstable; urgency=medium

  * [87280e5] New upstream release

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 23 Mar 2016 03:09:52 +0800

gpx (2.4.1+markwal-1) unstable; urgency=medium

  * [cbe3327] Change upstream to markwal's fork
  * [8e98dd7] Update watch file to handle -markwal releases
  * [3fe917d] Refresh patch
  * [2912892] Pass GPX_VERSION into upstream build system

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 19 Mar 2016 17:39:23 +0800

gpx (2.2.1-1) unstable; urgency=medium

  * [3681d92] Merge v2.2.1 (new upstream release)
  * [ab0bf6d] Install examples
  * [7ed167b] Bump Standards-Version to 3.9.7
  * [18a5488] Update build and install procedure for gpx
  * [e95a0b8] Refresh cflags patch and drop obsolete patch
  * [3090cec] Update gpx manpage
  * [e35ec11] Add s3gdump manpage

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 17 Mar 2016 00:05:55 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: gpx
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9.0.0), python-minimal
-Standards-Version: 3.9.5
-Homepage: https://github.com/whpthomas/GPX
+Maintainer: Chow Loong Jin <hyperair@debian.org>
+Build-Depends: debhelper (>= 9.0.0), python
+Standards-Version: 3.9.7
+Homepage: https://github.com/markwal/GPX
 Vcs-Git: git://git.debian.org/3dprinter/packages/gpx.git
 Vcs-Browser: http://git.debian.org/?p=3dprinter/packages/gpx.git;a=summary

## gpx 2.5.2

=== debian/changelog ===
gpx (2.5.2-4) unstable; urgency=medium

  * [2c19868] Remove python build-dep.
    No longer used by anything. (Closes: #943112)
  * [6813623] Update Vcs-* URLs

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 04 Nov 2019 12:27:45 +0800

gpx (2.5.2-3) unstable; urgency=medium

  * Adjusted autopkgtest script to send stderr warnings to stdout.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 Nov 2017 13:51:38 +0000

gpx (2.5.2-2) unstable; urgency=medium

  * Set Debian 3-D Printing team as maintainer.
  * Changed Standards-Version from 3.9.8 to 4.1.1.
  * Changed Vcs-* fields to use anonscm.debian.org.
  * Added simple autopkgtest script.
  * Modified d/gbp.conf to enforce the use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 06 Oct 2017 12:52:17 +0200

gpx (2.5.2-1) unstable; urgency=medium

  * New upstream release
  * [c888286] Drop patches (upstreamed)

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 11 Jun 2016 20:48:02 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gpx
 Section: science
 Priority: optional
-Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9.0.0), python
-Standards-Version: 3.9.7
+Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
+Uploaders: Chow Loong Jin <hyperair@debian.org>
+Build-Depends: debhelper (>= 9.0.0)
+Standards-Version: 4.1.1
 Homepage: https://github.com/markwal/GPX
-Vcs-Git: git://git.debian.org/3dprinter/packages/gpx.git
-Vcs-Browser: http://git.debian.org/?p=3dprinter/packages/gpx.git;a=summary
+Vcs-Git: https://salsa.debian.org/3dprinting-team/gpx.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/gpx
 
 Package: gpx
 Architecture: any

## gpx 2.6.8

=== debian/changelog ===
gpx (2.6.8-1) unstable; urgency=medium

  * New upstream release

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 02 Dec 2020 04:49:44 +0800

gpx (2.6.7-1) unstable; urgency=medium

  * New upstream release
  * [227f7c9] Bump debhelper compat to 12

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 21 Nov 2020 00:22:36 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9.0.0)
+Build-Depends: debhelper-compat (= 12)
 Standards-Version: 4.1.1
 Homepage: https://github.com/markwal/GPX
 Vcs-Git: https://salsa.debian.org/3dprinting-team/gpx.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

GPX_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d-)

%:
	dh $@

%.1: %.pod
	pod2man --center "User Commands" --release=gpx $< > $@

override_dh_installman: debian/gpx.1 debian/s3gdump.1
	dh_installman

override_dh_auto_install:
	dh_auto_install
	rm -f debian/gpx/usr/bin/machines

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="filenamemangle=s/(?:.*)\/v?([^-]*)(?:-markwal)?(.*)\.tar\.gz/gpx-$1+markwal$2.tar.gz/,uversionmangle=s/-markwal/+markwal/" \
  https://github.com/markwal/GPX/tags (?:.*/)?v?(.*)\.tar\.gz
